Installing Chordpro via cpan

This forum is dedicated to basic help and support :

Ask here your questions about basic installation and usage of Mageia. For example you may post here all your questions about getting Mageia isos and installing it, configuring your printer, using your word processor etc.

Try to ask your questions in the right sub-forum with as much details as you can gather. the more precise the question will be, the more likely you are to get a useful answer

Installing Chordpro via cpan

Postby Gelsenbury » Jul 12th, '18, 11:21

I'm trying to install Chordpro according to the instructions on their web site: https://www.chordpro.org/chordpro/Chord ... Linux.html

But the installation with CPAN fails. After a lengthy process, the last part of the output is:
Code: Select all
Test Summary Report
-------------------
t/01_prereq.t     (Wstat: 256 Tests: 5 Failed: 1)
  Failed test:  4
  Non-zero exit status: 1
t/02_load.t       (Wstat: 256 Tests: 7 Failed: 1)
  Failed test:  7
  Non-zero exit status: 1
Files=39, Tests=207, 10 wallclock secs ( 0.26 usr  0.05 sys +  9.31 cusr  0.56 csys = 10.18 CPU)
Result: FAIL
Failed 2/39 test programs. 2/207 subtests failed.
Makefile:1034: recipe for target 'test_dynamic' failed
make: *** [test_dynamic] Error 255
  JV/App-Music-ChordPro-0.96.tar.gz
one dependency not OK (PDF::API2); additionally test harness failed
  /usr/bin/make test -- NOT OK
//hint// to see the cpan-testers results for installing this module, try:
  reports JV/App-Music-ChordPro-0.96.tar.gz


Does anyone know which packages I have to install to make this work? Or would it be easier to do a feature request for Chordpro via the Mageia bug tracker?
User avatar
Gelsenbury
 
Posts: 105
Joined: Jun 1st, '11, 21:00

Re: Installing Chordpro via cpan

Postby doktor5000 » Jul 12th, '18, 13:32

It does fail to install the PDF::API2 module:

Gelsenbury wrote:
Code: Select all
one dependency not OK (PDF::API2); additionally test harness failed
  /usr/bin/make test -- NOT OK



If you want to know why it fails, you would have to explicitly install PDF::API2. Maybe it's this issue: https://www.perlmonks.org/?node_id=1192312

That would be this package: https://madb.mageia.org/package/show/ap ... l-PDF-API2
In general I'd recommend using the CPAN modules provided by distro packages because we have a lot of them in our repos.

Totally apart from that, instead of manually installing modules from CPAN, better have RPM packages generated for that using cpan2dist, at least that is what I prefer.
See e.g. https://wiki.mageia.org/en/Perl_policy#Tools on how to build packages from those CPAN modules automatically. Although if you've never done RPM packaging, it's probably easier to just directly install from CPAN.
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 14468
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany


Return to Basic support

Who is online

Users browsing this forum: No registered users and 0 guests